glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Glib::IOSource Class Reference
The Main Event Loop

`#include <glibmm/main.h>`

Inheritance diagram for Glib::IOSource:
[legend]

## Public Types
typedef Glib::IOSource | CppObjectType
Public Types inherited from Glib::Source
typedef Glib::Source | CppObjectType
typedef GSource | BaseObjectType

## Public Member Functions
sigc::connection | connect (const sigc::slot< bool, IOCondition >& slot)
Public Member Functions inherited from Glib::Source
unsigned int | attach (const Glib::RefPtr< MainContext >& context)
| Adds a Source to a context so that it will be executed within that context.
unsigned int | attach ()
| Adds a Source to a context so that it will be executed within that context.
void | destroy ()
| Removes a source from its MainContext, if any, and marks it as destroyed.
void | set_priority (int priority)
| Sets the priority of a source.
int | get_priority () const
| Gets the priority of a source.
void | set_can_recurse (bool can_recurse)
| Sets whether a source can be called recursively.
bool | get_can_recurse () const
| Checks whether a source is allowed to be called recursively.
unsigned int | get_id () const
| Returns the numeric ID for a particular source.
Glib::RefPtr< MainContext > | get_context ()
| Gets the MainContext with which the source is associated.
GSource* | gobj ()
const GSource* | gobj () const
GSource* | gobj_copy () const
void | reference () const
void | unreference () const

## Static Public Member Functions
static Glib::RefPtr< IOSource > | create (int fd, IOCondition condition)
static Glib::RefPtr< IOSource > | create (const Glib::RefPtr< IOChannel >& channel, IOCondition condition)
Static Public Member Functions inherited from Glib::Source
static Glib::RefPtr< Source > | create ()
static void | destroy_notify_callback (void* data)

## Protected Member Functions
| IOSource (int fd, IOCondition condition)
| IOSource (const Glib::RefPtr< IOChannel >& channel, IOCondition condition)
virtual | ~IOSource ()
virtual bool | prepare (int& timeout)
virtual bool | check ()
virtual bool | dispatch (sigc::slot_base* slot)
Protected Member Functions inherited from Glib::Source
| Source ()
| Construct an object that uses the virtual functions prepare(), check() and dispatch().
| Source (GSource* cast_item, GSourceFunc callback_func)
| Wrap an existing GSource object and install the given callback function.
virtual | ~Source ()
sigc::connection | connect_generic (const sigc::slot_base& slot)
void | add_poll (PollFD& poll_fd)
| Adds a file descriptor to the set of file descriptors polled for this source.
void | remove_poll (PollFD& poll_fd)
| Removes a file descriptor from the set of file descriptors polled for this source.
void | get_current_time (Glib::TimeVal& current_time)
| Gets the "current time" to be used when checking this source.
gint64 | get_time () const
| Gets the time to be used when checking this source.

## Member Typedef Documentation

typedef Glib::IOSource Glib::IOSource::CppObjectType

## Constructor & Destructor Documentation

Glib::IOSource::IOSource | ( | int | fd,
|  | IOCondition | condition
| ) |  |
| protected

Glib::IOSource::IOSource | ( | const Glib::RefPtr< IOChannel >& | channel,
|  | IOCondition | condition
| ) |  |
| protected

virtual Glib::IOSource::~IOSource | ( |  | ) |
| protected virtual

## Member Function Documentation

virtual bool Glib::IOSource::check | ( |  | ) |
| protected virtual

Implements Glib::Source.

sigc::connection Glib::IOSource::connect | ( | const sigc::slot< bool, IOCondition >& | slot | ) |

static Glib::RefPtr<IOSource> Glib::IOSource::create | ( | int | fd,
|  | IOCondition | condition
| ) |  |
| static

static Glib::RefPtr<IOSource> Glib::IOSource::create | ( | const Glib::RefPtr< IOChannel >& | channel,
|  | IOCondition | condition
| ) |  |
| static

virtual bool Glib::IOSource::dispatch | ( | sigc::slot_base * | slot | ) |
| protected virtual

Implements Glib::Source.

virtual bool Glib::IOSource::prepare | ( | int & | timeout | ) |
| protected virtual

Implements Glib::Source.